summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leo C <leoc@gmx.com>2018-12-15 08:20:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-12-15 08:20:21 +0700
commitc5349891e5bb59030306ad84e3932b5b5f8a3db8 (patch)
treebfee3031cc1c7c15a2c4076a00b1516913c70cac /desktop
parentceffc7e31f169130120a6aedcf1194199d0f6e9c (diff)
downloadslackbuilds-c5349891e5bb59030306ad84e3932b5b5f8a3db8.tar.gz
slackbuilds-c5349891e5bb59030306ad84e3932b5b5f8a3db8.tar.xz
desktop/Surfn: Added (Icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/Surfn/README2
-rw-r--r--desktop/Surfn/Surfn.SlackBuild66
-rw-r--r--desktop/Surfn/Surfn.info10
-rw-r--r--desktop/Surfn/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/desktop/Surfn/README b/desktop/Surfn/README
new file mode 100644
index 0000000000..5f05394c2f
--- /dev/null
+++ b/desktop/Surfn/README
@@ -0,0 +1,2 @@
+The name of this icon theme is the anagram of the initials of
+"Super Ultra Flat Numix Remix".
diff --git a/desktop/Surfn/Surfn.SlackBuild b/desktop/Surfn/Surfn.SlackBuild
new file mode 100644
index 0000000000..c6ad00ea41
--- /dev/null
+++ b/desktop/Surfn/Surfn.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for Surfn
+
+# Copyright 2018 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Surfn
+VERSION=${VERSION:-9.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -a $PRGNAM* $PKG/usr/share/icons
+find -L $PKG/usr/share/icons -type f -exec chmod 644 {} \;
+find -L $PKG/usr/share/icons -type f -name '*.sh' -exec chmod 755 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/Surfn/Surfn.info b/desktop/Surfn/Surfn.info
new file mode 100644
index 0000000000..48178ce6ff
--- /dev/null
+++ b/desktop/Surfn/Surfn.info
@@ -0,0 +1,10 @@
+PRGNAM="Surfn"
+VERSION="9.6.0"
+HOMEPAGE="https://github.com/erikdubois/Surfn"
+DOWNLOAD="https://github.com/erikdubois/Surfn/archive/9.6.0/Surfn-9.6.0.tar.gz"
+MD5SUM="5a967bd42a08221b33847cab1ea8cd65"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"
diff --git a/desktop/Surfn/slack-desc b/desktop/Surfn/slack-desc
new file mode 100644
index 0000000000..08fe05b7a2
--- /dev/null
+++ b/desktop/Surfn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Surfn: Surfn (A colourful icon theme for Linux desktops)
+Surfn:
+Surfn: The name of this icon theme is the anagram of the initials of
+Surfn: "Super Ultra Flat Numix Remix".
+Surfn:
+Surfn:
+Surfn:
+Surfn:
+Surfn:
+Surfn: Homepage: https://github.com/erikdubois/Surfn
+Surfn: